## perl 5.22.1

=== debian/changelog ===
perl (5.22.1-9) unstable; urgency=medium

  * Add cross build support files for alpha, hppa, sparc64, x32, mips,
    and hurd-i386. (Closes: #816217)
  * Use the standard library from the build tree, fixing non-cross
    bootstrapping. (Closes: #817948)

 -- Niko Tyni <ntyni@debian.org>  Sun, 13 Mar 2016 13:54:18 +0200

perl (5.22.1-8) unstable; urgency=high

  * [SECURITY] CVE-2016-2381 fix duplicate environment variable taint
    checking issue

 -- Dominic Hargreaves <dom@earth.li>  Fri, 26 Feb 2016 21:59:01 +0000

perl (5.22.1-7) unstable; urgency=medium

  * small tweaks to cross support file import infrastructure
  * debian/copyright: include CC0-1.0 License for Test-Simple
  * Changes prompted by lintian:
    + debian/copyright: move license grants into Comment sections
    + Bump build dependency on dpkg-dev to 1.17.14 for build profile support
      (Closes: #813811)
    + Call ldconfig in libperl5.22 postrm script.
    + Override lintian warning about file conflict over /usr/bin/perldoc.
    + Install manual pages for perl5.22-<arch> and cpan5.22-<arch>.
    + Fix POD errors in Memoize, Encode-Unicode and ok.
  * Remove libperl-dev dependency on perl. (Closes: #813384)
    + this enables experimental support for cross building applications
      linking against libperl; see /usr/share/doc/libperl-dev/README.cross
      for more information.
  * Add cross build support files for amd64, i386, powerpc, ppc64el, armel,
    armhf, arm64, s390x, mipsel, mips64el, kfreebsd-amd64 and kfreebsd-i386.
    (Closes: #285559)
  * Upload to unstable.

 -- Niko Tyni <ntyni@debian.org>  Mon, 08 Feb 2016 22:09:56 +0200

perl (5.22.1-6) experimental; urgency=medium

  * Annotate test suite specific build dependencies with <!nocheck> for
    better build profile support.
  * Add packaging infrastructure for cross build support (#285559 et al.)
    + Configure probes still need to run on native builds; we now stash
      the results in libperl5.22 and copy them back to the source
      package. See debian/cross/README.
    + The full process is not quite established yet, and no commitment
      is made on the long term feasibility of this approach. We will
      see how it goes.
    + Uploading to experimental to bootstrap the thing: we can then
      gather the generated files from autobuilt binary packages.

 -- Niko Tyni <ntyni@debian.org>  Tue, 02 Feb 2016 19:11:23 +0200

perl (5.22.1-5) unstable; urgency=medium

  [ Dominic Hargreaves ]
  * Add Breaks entry for versions of mailagent not compatible with
    perl 5.22

  [ Niko Tyni ]
  * Make perl-modules-5.22 Conflict with perl-modules rather than Break it.
    Thanks to Adam Conrad. (Closes: #810164)
  * Fix umask in mkstemp(3) calls. (Closes: #810924)

 -- Niko Tyni <ntyni@debian.org>  Sat, 30 Jan 2016 11:41:34 +0200

perl (5.22.1-4) unstable; urgency=high

  * Add Breaks entry for versions of libsbuild-perl, maildirsync,
    and backuppc not compatible with perl 5.22
    (Closes: #808805, #809562, #810118)
  * Apply patch from Niko Tyni restoring debugperl functionality
    (Closes: #810326)
  * [SECURITY] CVE-2015-8607 fix untaint issue with File::Spec::canonpath()
    (Closes: #810719)

 -- Dominic Hargreaves <dom@earth.li>  Mon, 11 Jan 2016 22:29:23 +0000

perl (5.22.1-3) unstable; urgency=medium

  [ Dominic Hargreaves ]
  * psed was removed in 5.22, so remove the (broken) manpage symlink
    too (Closes: #808683)

  [ Niko Tyni ]
  * Fix an autodie scoping issue with "no autodie" and the "system" sub.
    (Closes: #808629)
    + break libautodie-perl (<< 2.29-2) to make sure it won't override the fix

 -- Niko Tyni <ntyni@debian.org>  Sat, 26 Dec 2015 09:28:43 +0200

perl (5.22.1-2) unstable; urgency=low

  * Work around a t/op/stat.t failure on GNU/kFreeBSD, possibly related
    to softupdates. Fix by Steven Chamberlain. (Closes: #796798)

 -- Niko Tyni <ntyni@debian.org>  Fri, 18 Dec 2015 14:31:00 +0200

perl (5.22.1-1) unstable; urgency=low

  * New upstream release.
  * Backport Encode::Unicode BOM fix from Encode-2.77.
    (Closes: #798727)
    + break+replace libencode-perl (<< 2.77) accordingly
  * Upload to unstable.
    + drop perlapi-5.22.0 for transition purposes

 -- Niko Tyni <ntyni@debian.org>  Wed, 16 Dec 2015 20:13:17 +0200

perl (5.22.1~rc4-2) experimental; urgency=low

  * Activate the "perl-major-upgrade" trigger in "noawait" mode.
    (Closes: #807647)

 -- Niko Tyni <ntyni@debian.org>  Fri, 11 Dec 2015 13:41:55 +0200

perl (5.22.1~rc4-1) experimental; urgency=low

  * New upstream release candidate.

 -- Niko Tyni <ntyni@debian.org>  Wed, 09 Dec 2015 18:51:28 +0200

perl (5.22.1~rc3-2) experimental; urgency=low

  * Fix a podlators test failure when building under SOURCE_DATE_EPOCH.
    (Closes: #807086)
  * Apply upstream patch to skip tests only intended for long double
    configurations, failing on big-endian architectures. (Closes: #807038)
  * Slightly patch Devel-PPPort to make its XS code reproducible
    rather than vary with system file ordering. (Closes: #801523)

 -- Niko Tyni <ntyni@debian.org>  Sat, 05 Dec 2015 11:03:44 +0200

perl (5.22.1~rc3-1) experimental; urgency=low

  * New upstream release candidate.
  * Rename the license of the Sys-Syslog syslog.h file in debian/copyright
    (Closes: #799014)
  * Backport SOURCE_DATE_EPOCH support in Pod::Man from podlators-4.00.
    (Closes: #801621)
  * Remove strcpy usage from debian/patches/debian/mod_paths.diff,
    now policed by t/porting/libperl.t

 -- Niko Tyni <ntyni@debian.org>  Fri, 04 Dec 2015 11:42:57 +0200

perl (5.22.0-4) experimental; urgency=medium

  [ Dominic Hargreaves ]
  * Move perl-debug from the debug to the devel section (Closes: #796834)

  [ gregor herrmann ]
  * Convert /usr/share/doc/libperl5.22 symlink into a directory.

  [ Niko Tyni ]
  * Remove obsolete debian/*.moduledocs references
  * Don't try to install cpan/libnet/Config.eg, it's gone with 5.22
  * Split out binary-only changelog entries (Closes: #797106)

