=== debian/control ===
Source: perl
Section: perl
Priority: standard
Maintainer: Niko Tyni <ntyni@debian.org>
Uploaders: Dominic Hargreaves <dom@earth.li>
Standards-Version: 3.9.6
Homepage: http://dev.perl.org/perl5/
Build-Depends: file <!nocheck>,
 cpio,
 libdb-dev,
 libgdbm-dev,
 netbase [!hurd-any] <!nocheck>,
 procps [!hurd-any] <!nocheck>,
 zlib1g-dev | libz-dev,
 libbz2-dev,
 dpkg-dev (>= 1.17.14),
 libc6-dev (>= 2.19-9) [s390x]
Vcs-Git: git://anonscm.debian.org/perl/perl.git -b debian-5.22
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=perl/perl.git

Package: perl-base
Essential: yes
Priority: required
Architecture: any
Pre-Depends: ${shlibs:Depends}, dpkg (>= 1.17.17)
Conflicts: safe-rm (<< 0.8),
 update-inetd (<< 4.41),
 defoma (<< 0.11.12),
 doc-base (<< 0.10.3),
 mono-gac (<< 2.10.8.1-3),
Breaks: autoconf2.13 (<< 2.13-45),
 perl (<< ${Upstream-Version}~),
 perl-modules (<< ${Upstream-Version}~),
 pdl (<< 1:2.007-4),
 libfile-spec-perl (<< 3.5600),
 libxsloader-perl (<< 0.20),
 libmarc-charset-perl (<< 1.2),
 libsocket-perl (<< 2.018),
 libcommon-sense-perl (<< 3.72-2~),
 libio-socket-ip-perl (<< 0.37),
 libalien-wxwidgets-perl (<< 0.65+dfsg-2),
 libanyevent-perl (<< 7.070-2),
 libjcode-perl (<< 2.13-3),
 libgtk2-perl-doc (<< 2:1.2491-4),
 libfile-temp-perl (<< 0.2304),
 libfile-path-perl (<< 2.09),
 libscalar-list-utils-perl (<< 1:1.41),
 libsbuild-perl (<< 0.67.0-1),
 backuppc (<< 3.3.1-2),
 mailagent (<< 1:3.1-81-2),
Replaces: perl (<< 5.10.1-12), perl-modules (<< 5.20.1-3),
 libscalar-list-utils-perl (<< 1:1.41),
 libxsloader-perl (<< 0.20),
 libsocket-perl (<< 2.018),
 libfile-temp-perl (<< 0.2304),
 libfile-path-perl (<< 2.09),
 libio-socket-ip-perl (<< 0.37),
Provides: ${perlapi:Provides},
 libscalar-list-utils-perl,
 libxsloader-perl,
 libsocket-perl,
 libfile-temp-perl,
 libfile-path-perl,
 libio-socket-ip-perl,
Suggests: perl
Description: minimal Perl system
 Perl is a scripting language used in many system scripts and utilities.
 .
 This package provides a Perl interpreter and the small subset of the
 standard run-time library required to perform basic tasks. For a full
 Perl installation, install "perl" (and its dependencies, "perl-modules-5.22"
 and "perl-doc").

Package: perl-doc
Section: doc
Priority: optional
Architecture: all
Depends: perl (>= ${Upstream-Version}-1)
Suggests: man-browser, groff-base
Description: Perl documentation
 Perl manual pages, POD documentation and the `perldoc' program.  If you are
 writing Perl programs, you almost certainly need this.

Package: perl-debug
Section: devel
Priority: extra
Architecture: any
Depends: perl (= ${binary:Version}), ${shlibs:Depends}
Description: debug-enabled Perl interpreter
 debugperl provides a debug-enabled version of Perl which can produce
 extensive information about the interpreter as it compiles and executes
 a program (see the -D switch in perlrun(1)).
 .
 Note that this package is primarily of use in debugging *Perl* rather
 than perl programs, which may be traced/debugged using the standard
 perl binary using the -d switch (see perldebug(1)).

Package: libperl5.22
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, perl-modules-5.22 (>= ${source:Version})
Breaks: libdigest-md5-perl (<< 2.54),
 libmime-base64-perl (<< 3.15),
 libtime-hires-perl (<< 1.9726),
 libstorable-perl (<< 2.53.01),
 libdigest-sha-perl (<< 5.95),
 libsys-syslog-perl (<< 0.33),
 libcompress-zlib-perl (<< 2.068),
 libcompress-raw-zlib-perl (<< 2.068),
 libcompress-raw-bzip2-perl (<< 2.068),
 libio-compress-zlib-perl (<< 2.068),
 libio-compress-bzip2-perl (<< 2.068),
 libio-compress-base-perl (<< 2.068),
 libio-compress-perl (<< 2.068),
 libthreads-perl (<< 2.01),
 libthreads-shared-perl (<< 1.48),
 libtime-piece-perl (<< 1.29),
 libencode-perl (<< 2.77),
 mrtg (<< 2.16.3-3.1),
 libhtml-template-compiled-perl (<< 0.95-1),
 libperl-apireference-perl (<< 0.09-1),
 dh-make-perl (<< 0.73-1),
 libregexp-optimizer-perl (<< 0.15-3),
 libxml-parser-lite-tree-perl (<< 0.14-1),
 libyaml-perl (<< 0.73-1),
 libload-perl (<< 0.20-1),
 libsoap-lite-perl (<< 0.712-4),
 libnet-jifty-perl (<< 0.14-1),
 ftpmirror (<< 1.96+dfsg-13)
Replaces: perl-base (<< 5.22.0~), perl (<< 5.22.0~),
 libarchive-tar-perl (<= 1.38-2),
 libdigest-md5-perl (<< 2.54),
 libmime-base64-perl (<< 3.15),
 libtime-hires-perl (<< 1.9726),
 libstorable-perl (<< 2.53.01),
 libdigest-sha-perl (<< 5.95),
 libtime-piece-perl (<< 1.29),
 libsys-syslog-perl (<< 0.33),
 libcompress-zlib-perl (<< 2.068),
 libcompress-raw-zlib-perl (<< 2.068),
 libcompress-raw-bzip2-perl (<< 2.068),
 libio-compress-zlib-perl (<< 2.068),
 libio-compress-bzip2-perl (<< 2.068),
 libio-compress-base-perl (<< 2.068),
 libio-compress-perl (<< 2.068),
 libthreads-perl (<< 2.01),
 libthreads-shared-perl (<< 1.48),
 libmodule-corelist-perl (<< 2.14-2),
 libencode-perl (<< 2.77),
Provides: perl-cross-config,
 libdigest-md5-perl,
 libmime-base64-perl,
 libtime-hires-perl,
 libstorable-perl,
 libdigest-sha-perl,
 libsys-syslog-perl,
 libcompress-zlib-perl,
 libcompress-raw-zlib-perl,
 libcompress-raw-bzip2-perl,
 libio-compress-zlib-perl,
 libio-compress-bzip2-perl,
 libio-compress-base-perl,
 libio-compress-perl,
 libthreads-perl,
 libthreads-shared-perl,
 libtime-piece-perl,
 libencode-perl,
Multi-Arch: same
Description: shared Perl library
 This package contains the shared Perl library, used by applications
 which embed a Perl interpreter.
 .
 It also contains the architecture-dependent parts of the standard
 library (and depends on perl-modules-5.22 which contains the
 architecture-independent parts).

Package: libperl-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: libperl5.22 (= ${binary:Version}),
 libc6-dev | libc-dev
Description: Perl library: development files
 Files for developing applications which embed a Perl interpreter.

Package: perl-modules-5.22
Priority: standard
Architecture: all
Multi-Arch: foreign
Depends: perl-base (>= ${Upstream-Version}-1)
Pre-Depends: dpkg (>= 1.17.17)
Recommends: perl (>= ${Upstream-Version}-1),
Conflicts: perl-modules,
 defoma (<< 0.11.12),
 mono-gac (<< 2.10.8.1-3)
Breaks: perl (<< ${Upstream-Version}~),
 libpod-parser-perl (<< 1.63),
 pdl (<< 1:2.007-4),
 libansicolor-perl (<< 4.03),
 libnet-perl (<= 1:1.22),
 libattribute-handlers-perl (<< 0.97),
 libi18n-langtags-perl (<< 0.40),
 liblocale-maketext-perl (<< 1.26),
 libmath-bigint-perl (<< 1.999700),
 libnet-ping-perl (<< 2.43),
 libtest-harness-perl (<< 3.35),
 libtest-simple-perl (<< 1.001014),
 liblocale-codes-perl (<< 3.34),
 libmodule-corelist-perl (<< 5.20151213),
 libio-zlib-perl (<< 1.10),
 libarchive-tar-perl (<< 2.04),
 libextutils-cbuilder-perl (<< 0.280221),
 libmodule-load-perl (<< 0.32),
 liblocale-maketext-simple-perl (<< 0.21),
 libparams-check-perl (<< 0.38),
 libmodule-load-conditional-perl (<< 0.64),
 libversion-perl (<< 1:0.9909),
 libpod-simple-perl (<< 3.29),
 libextutils-parsexs-perl (<< 3.280000),
 libpod-escapes-perl (<< 1.07),
 libparse-cpan-meta-perl (<< 1.4414),
 libparent-perl (<< 0.232),
 libautodie-perl (<< 2.29-2),
 libthread-queue-perl (<< 3.05),
 libfile-spec-perl (<< 3.5600),
 libtime-local-perl (<< 1.2300),
 podlators-perl (<< 2.3.1),
 libunicode-collate-perl (<< 1.12),
 libcpan-meta-perl (<< 2.150001),
 libmath-complex-perl (<< 1.59),
 libextutils-command-perl (<< 1.20),
 libmodule-metadata-perl (<< 1.000026),
 libjson-pp-perl (<< 2.27300),
 libperl-ostype-perl (<< 1.008),
 libversion-requirements-perl(<< 0.101022),
 libcpan-meta-yaml-perl (<< 0.012),
 libdigest-perl (<< 1.17),
 libextutils-install-perl (<< 2.04),
 libhttp-tiny-perl (<< 0.054),
 libcpan-meta-requirements-perl (<< 2.132),
 libexperimental-perl (<< 0.013),
 pristine-tar (<< 1.33),
 polygen-data (<< 1.0.6.ds2-13.1),
 rinse (<< 3.0.7),
 tvtime (<< 1.0.2-14),
 pure-ftpd-common (<< 1.0.36-3.2),
 mono-apache-server2 (<< 3.8-2.1),
 mono-apache-server4 (<< 3.8-2.1),
 mono-fastcgi-server2 (<< 3.8-2.1),
 mono-fastcgi-server4 (<< 3.8-2.1),
 shorewall (<< 4.6.4.3-2),
 shorewall-core (<< 4.6.4.3-2),
 patcher (<< 0.0.20040521-6.1),
 cli-common (<< 0.9+nmu1),
 libtest-use-ok-perl (<< 0.16),
 libtest-tester-perl (<< 0.114),
 maildirsync (<< 1.2-2.1),
Replaces: perl-modules,
 perl-base (<< 5.22.0~),
 libpod-parser-perl (<< 1.63),
 libansicolor-perl (<< 4.03),
 libnet-perl,
 libattribute-handlers-perl (<< 0.97),
 libi18n-langtags-perl (<< 0.40),
 liblocale-maketext-perl (<< 1.26),
 libmath-bigint-perl (<< 1.999700),
 libnet-ping-perl (<< 2.43),
 libtest-harness-perl (<< 3.35),
 libtest-simple-perl (<< 1.001014),
 liblocale-codes-perl (<< 3.34),
 libmodule-corelist-perl (<< 5.20151213),
 libio-zlib-perl (<< 1.10),
 libarchive-tar-perl (<< 2.04),
 libextutils-cbuilder-perl (<< 0.280221),
 libmodule-load-perl (<< 0.32),
 liblocale-maketext-simple-perl (<< 0.21),
 libparams-check-perl (<< 0.38),
 libmodule-load-conditional-perl (<< 0.64),
 libversion-perl (<< 1:0.9909),
 libpod-simple-perl (<< 3.29),
 libextutils-parsexs-perl (<< 3.280000),
 libpod-escapes-perl (<< 1.07),
 libparse-cpan-meta-perl (<< 1.4414),
 libparent-perl (<< 0.232),
 libautodie-perl (<< 2.29-2),
 libthread-queue-perl (<< 3.05),
 libfile-spec-perl (<< 3.5600),
 libtime-local-perl (<< 1.2300),
 podlators-perl,
 libunicode-collate-perl (<< 1.12),
 libcpan-meta-perl (<< 2.150001),
 libmath-complex-perl (<< 1.59),
 libextutils-command-perl (<< 1.20),
 libmodule-metadata-perl (<< 1.000026),
 libjson-pp-perl (<< 2.27300),
 libperl-ostype-perl (<< 1.008),
 libversion-requirements-perl,
 libcpan-meta-yaml-perl (<< 0.012),
 libdigest-perl (<< 1.17),
 libextutils-install-perl (<< 2.04),
 libhttp-tiny-perl (<< 0.054),
 libcpan-meta-requirements-perl (<< 2.132),
 libexperimental-perl (<< 0.013),
 libpackage-constants-perl,
 libtest-use-ok-perl (<< 0.16),
 libtest-tester-perl (<< 0.114),
Provides: perl-modules,
 libpod-parser-perl,
 libansicolor-perl,
 libnet-perl,
 libattribute-handlers-perl,
 libi18n-langtags-perl,
 liblocale-maketext-perl,
 libmath-bigint-perl,
 libnet-ping-perl,
 libtest-harness-perl,
 libtest-simple-perl,
 liblocale-codes-perl,
 libmodule-corelist-perl,
 libio-zlib-perl,
 libarchive-tar-perl,
 libextutils-cbuilder-perl,
 libmodule-load-perl,
 liblocale-maketext-simple-perl,
 libparams-check-perl,
 libmodule-load-conditional-perl,
 libversion-perl,
 libpod-simple-perl,
 libextutils-parsexs-perl,
 libpod-escapes-perl,
 libparse-cpan-meta-perl,
 libparent-perl,
 libautodie-perl,
 libthread-queue-perl,
 libfile-spec-perl,
 libtime-local-perl,
 podlators-perl,
 libunicode-collate-perl,
 libcpan-meta-perl,
 libmath-complex-perl,
 libextutils-command-perl,
 libmodule-metadata-perl,
 libjson-pp-perl,
 libperl-ostype-perl,
 libversion-requirements-perl,
 libcpan-meta-yaml-perl,
 libdigest-perl,
 libextutils-install-perl,
 libhttp-tiny-perl,
 libcpan-meta-requirements-perl,
 libexperimental-perl,
 libtest-use-ok-perl,
 libtest-tester-perl,
Description: Core Perl modules
 Architecture independent Perl modules.  These modules are part of Perl and
 required if the `perl' package is installed.
 .
 Note that this package only exists to save archive space and should be
 considered an internal implementation detail of the `perl' package.
 Other packages should not depend on `perl-modules-5.22' directly, they
 should use `perl' (which depends on `perl-modules-5.22') instead.

Package: perl
Priority: standard
Architecture: any
Multi-Arch: allowed
Pre-Depends: dpkg (>= 1.17.17)
Depends: perl-base (= ${binary:Version}), perl-modules-5.22 (>= ${source:Version}), libperl5.22 (= ${binary:Version}), ${shlibs:Depends}
Conflicts: libjson-pp-perl (<< 2.27200-2)
Breaks: perl-doc (<< ${Upstream-Version}-1)
Replaces: perl-modules (<< 5.22.0~)
Recommends: netbase, rename
Suggests: perl-doc, libterm-readline-gnu-perl | libterm-readline-perl-perl,
 make
Description: Larry Wall's Practical Extraction and Report Language
 Perl is a highly capable, feature-rich programming language with over
