=== debian/rules ===
#!/usr/bin/make -f

#
# debian/rules for perl.
#
# Note that although this rules file currently invokes tools from dpkg-dev
# implemented in perl (such as dpkg-architecture and so on), it aspires
# to not use perl at all, so that a new architecture can easily be
# bootstrapped. This aspiration should be considered when changing this
# file.
#
# <http://lists.alioth.debian.org/pipermail/perl-maintainers/2012-January/002870.html>

# we use bash-specific functionality, at least "shopt -s globstar"
export SHELL = /bin/bash

# at least LOCALTIME_{MIN,MAX} are affected by this
export TZ=UTC

# Configure output is sorted and varies with LC_COLLATE
export LC_ALL=C

# use the timestamp from debian/changelog for Pod::Man generated man pages
# this may end up in dpkg-buildpackage eventually but it's not there yet
export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)

fullversion := $(shell /bin/bash debian/config.debian --full-version)
nextversion := $(shell /bin/bash debian/config.debian --next-version)
version     := $(shell /bin/bash debian/config.debian --version)
installtype := $(shell /bin/bash debian/config.debian --install-type)
test_target := $(shell /bin/bash debian/config.debian --test-target)
strip	    := $(shell /bin/bash debian/config.debian --strip)
archtriplet := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
arch        := $(shell dpkg-architecture -qDEB_HOST_ARCH)
srcdir      := $(shell pwd)
packages    := $(shell sed -n 's/^Package: *//p' debian/control)
arch_pkgs   := $(shell sed -n '/^Package:/ { s/^Package: *//; h }; /^Architecture: any/ { x; p }' debian/control)
indep_pkgs  := $(shell sed -n '/^Package:/ { s/^Package: *//; h }; /^Architecture: all/ { x; p }' debian/control)
build_date  := $(shell dpkg-parsechangelog | sed -n -e 's/^Date: //p')
tmp	    = debian/tmp
bin         = $(tmp)/usr/bin
man         = $(tmp)/usr/share/man
lib         = $(tmp)/usr/lib/$(archtriplet)/perl/$(version)
share       = $(tmp)/usr/share/perl/$(version)
build	    = debian/build
debug       = $(build)/perl-debug/usr/lib/debug
patches     = debian/patches/series
patchlevel  = patchlevel-debian.h

# we put the generated config.sh files here
pcd         = $(tmp)/usr/lib/$(archtriplet)/perl/debian-config-data-$(fullversion)

# If nonempty, this will determine $Config{debian_abi} and Provides: entries
# (otherwise, the Provides: entries will be generated by debian/mkprovides)
perlabi =

checkdir    = test -d debian
checkroot   = test `id -u` -eq 0
checkperl   = $(SHELL) debian/checkperl

DEB_BUILD_GNU_TYPE      ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE       ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

OBJCOPY = $(DEB_HOST_GNU_TYPE)-objcopy
STRIP = $(DEB_HOST_GNU_TYPE)-strip

# Invoking PERL_TO_USE is expected to find its standard library
# without additional command line arguments, so include lib/ here
# in its definition.
ifeq ($(DEB_HOST_GNU_TYPE), $(DEB_BUILD_GNU_TYPE))
	PERL_TO_USE = $(srcdir)/perl.static -I $(srcdir)/lib
else
	PERL_TO_USE = $(shell which perl)
	export TIME_HIRES_DONT_RUN_PROBES=1
endif

# this may differ from $(fullversion) for release candidates and the like
package_upstream_version = $(shell dpkg-parsechangelog | \
        sed -ne 's/-[^-]\+$$//; s/^Version: *\([0-9]\+:\)*//p')

package_version = $(shell dpkg-parsechangelog | sed -n 's/^Version: *//p')

# this gets prepended to the patch names in patchlevel.h
patchprefix = DEBPKG:

# control file substitutions
subst_upstream = -VUpstream-Version=$(package_upstream_version)
subst_next_upstream = -VNext-Upstream-Version=$(nextversion)

ifeq (,$(perlabi))
subst_perlapi  = -Vperlapi:Provides="`$(PERL_TO_USE) debian/mkprovides`"
else
subst_perlapi  = -Vperlapi:Provides="perlapi-$(perlabi)"
endif

# for cpan/Compress-Raw-Zlib
export BUILD_ZLIB=False
export ZLIB_INCLUDE=/usr/include
export ZLIB_LIB=/usr/lib

# for cpan/Compress-Raw-Bzip2
export BUILD_BZIP2=0
export BZIP2_INCLUDE=/usr/include
export BZIP2_LIB=/usr/lib

build: build-stamp
install: install-stamp

build-arch: build
build-indep: build

build-stamp: $(patchlevel) perl.static perl.debug libperl.so.$(fullversion)
	touch $@

$(patchlevel): $(patches)
	$(checkdir)
	test -f $<	# maintainer sanity check
	debian/gen-patchlevel -p $(patchprefix) -v $(package_version) $< > $@
	# $patchlevel_date in perlbug is extracted from patchlevel.h mtime, let's set
	# it to highest mtime of Debian patches for build reproducibility
	patchdate=`debian/gen-patchlevel -d`; touch --date="@$$patchdate" patchlevel.h

perl.static:
	$(checkdir)
	rm -f libperl.so* # must be built last
	[ ! -f Makefile ] || $(MAKE) distclean
	[ -f $(patchlevel) ] || touch $(patchlevel)
	$(SHELL) debian/config.debian --static

	# stash generated config.sh
	cp config.sh config.sh.static

	$(MAKE) perl $(test_target)
	mv libperl.a libperl-static
	mv perl perl.static

ifeq ($(DEB_HOST_GNU_TYPE), $(DEB_BUILD_GNU_TYPE))
	# for the build log
	$(PERL_TO_USE) -Ilib -V
endif

	# save these for the perl-base package
	cp lib/Config.pm lib/Config.pm.static
	cp lib/Config_heavy.pl lib/Config_heavy.pl.static

perl.debug:
	$(checkdir)
	rm -f libperl.so* # must be built last
	[ ! -f Makefile ] || $(MAKE) distclean
	[ -f $(patchlevel) ] || touch $(patchlevel)
	$(SHELL) debian/config.debian --debug

	# stash generated config.sh
	cp config.sh config.sh.debug

	$(MAKE) perl
	mv perl perl.debug

libperl.so.$(fullversion):
	$(checkdir)
	[ ! -f Makefile ] || $(MAKE) distclean
	[ -f $(patchlevel) ] || touch $(patchlevel)
	$(SHELL) debian/config.debian --shared

	# stash generated config.sh
	cp config.sh config.sh.shared

	$(MAKE) SHRPLDFLAGS='$$(LDDLFLAGS) -Wl,-soname,libperl.so.$(version)' $@
	ln -s libperl.so.$(fullversion) libperl.so.$(version)
	ln -s libperl.so.$(version) libperl.so
	$(MAKE) all $(test_target) || { rm -f libperl.so*; exit 1; }

clean:
	$(checkdir)
	$(checkroot)
	test -f $(patches)	# maintainer sanity check
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf config.over perl.static perl.debug libperl-static libperl.so* \
	    $(patchlevel) build-stamp install-stamp t/auto debian/shlibs.local \
	    debian/perl-base.shlibs debian/libperl$(version).shlibs \
	    build-miniperl build-generate_uudmap optdef.sh config.sh.* \
	    debian/substvars debian/files debian/list.tmp $(tmp) $(build)

install-stamp: build-stamp
	$(checkdir)
	$(checkroot)
	$(checkperl)
	rm -rf $(tmp) $(build)

	$(MAKE) install DESTDIR="$(tmp)"

	# these end up in the wrong place
	mv $(share)/Config.pm.static $(lib)
	mv $(share)/Config_heavy.pl.static $(lib)

	# switch man extensions to 1p and 3pm for vendor module installs
	$(PERL_TO_USE) -i -p \
	    -e 's/^(man1ext=).*/$$1'\''1p'\''/;' \
	    -e 's/^(man3ext=).*/$$1'\''3pm'\''/;' \
		$(lib)/Config.pm $(lib)/Config_heavy.pl \
		$(lib)/Config.pm.static $(lib)/Config_heavy.pl.static

	# rip away CGI::Fast, which has a separate source package now
	rm -f $(share)/CGI/Fast.pm $(man)/man3/CGI::Fast.3perl

ifeq (,$(perlabi))
else
	# add \$Config{debian_abi}
	sed -i -e "/version =>/i\    debian_abi => '$(perlabi)'," \
		$(lib)/Config.pm $(lib)/Config.pm.static
endif

	# avoid exposing the point release in libperl names, to
	# avoid unnecessary breakage
	# see #759989
	$(PERL_TO_USE) -i -p \
	    -e 's/^(libperl='\''libperl\.so)\.$(fullversion)'\''/$$1.$(version)'\''/' \
		$(lib)/Config.pm $(lib)/Config_heavy.pl \
		$(lib)/Config.pm.static $(lib)/Config_heavy.pl.static

	# remove dpkg-buildflags effects from %Config
	# see #657853
	if which dpkg-buildflags >/dev/null 2>&1; then \
		for flag in $(shell dpkg-buildflags --get CPPFLAGS) \
		         $(shell dpkg-buildflags --get CFLAGS); do \
			case "$$flag" in -fstack-protector) ;; \
			     *) $(PERL_TO_USE) -i -pe "/^(cc|cpp)flags/ and \
			          s/(['\s])\Q$$flag\E(['\s])/\1\2/ and s/  +/ /" \
		            $(lib)/Config.pm $(lib)/Config_heavy.pl \
		            $(lib)/Config.pm.static $(lib)/Config_heavy.pl.static ;; \
		    esac; done; \
