## perl 5.22.2

=== debian/changelog ===
perl (5.22.2-1) unstable; urgency=medium

  [ Niko Tyni ]
  * Refresh cross build support files for alpha, amd64, arm64, i386
    kfreebsd-amd64, kfreebsd-i386, powerpc, ppc64el and s390x.
  * Add cross build support files for ppc64.
  * Merge 5.22.1-10 from unstable.
  * Fix libperl5.22.triggers permissions.
  * Work around t/op/stat.t problems on GNU/Hurd. (Closes: #822735)

  [ Dominic Hargreaves ]
  * New upstream release
    + update version of libmodule-corelist-perl Breaks and Replaces
      for 5.22.2
  * Upload to unstable

 -- Dominic Hargreaves <dom@earth.li>  Sat, 30 Apr 2016 13:20:51 +0100

perl (5.22.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
    + update versions of libmodule-corelist-perl and libfile-spec-perl
      Breaks and Replaces for 5.22.2-RC1
  * Fix a misleading cross build note in build logs. (Closes: #820633)

 -- Niko Tyni <ntyni@debian.org>  Sun, 10 Apr 2016 23:35:40 +0300

perl (5.22.1-10) unstable; urgency=medium

  * Replace libperl5.22 manual ldconfig calls with an explicit trigger.
    (Closes: #820500)
  * Only conflict with versioned (i.e. non-virtual) perl-modules packages.
    (Closes: #821161)
  * Emulate 'uname -m' output for reproducibility regardless of kernel arch.
    (Closes: #821182)
  * Add cross build support files for m68k, powerpcspe and sh4.

 -- Niko Tyni <ntyni@debian.org>  Sun, 17 Apr 2016 22:08:08 +0300
