=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
  perl (<< ${Upstream-Version}~),
  perl-modules (<< ${Upstream-Version}~),
  pdl (<< 1:2.007-4),
- libfile-spec-perl (<< 3.5600),
+ libfile-spec-perl (<< 3.5601),
  libxsloader-perl (<< 0.20),
  libmarc-charset-perl (<< 1.2),
  libsocket-perl (<< 2.018),
@@ -191,7 +191,7 @@
 Depends: perl-base (>= ${Upstream-Version}-1)
 Pre-Depends: dpkg (>= 1.17.17)
 Recommends: perl (>= ${Upstream-Version}-1),
-Conflicts: perl-modules,
+Conflicts: perl-modules (<< 5.22.0~),
  defoma (<< 0.11.12),
  mono-gac (<< 2.10.8.1-3)
 Breaks: perl (<< ${Upstream-Version}~),
@@ -207,7 +207,7 @@
  libtest-harness-perl (<< 3.35),
  libtest-simple-perl (<< 1.001014),
  liblocale-codes-perl (<< 3.34),
- libmodule-corelist-perl (<< 5.20151213),
+ libmodule-corelist-perl (<< 5.20160429),
  libio-zlib-perl (<< 1.10),
  libarchive-tar-perl (<< 2.04),
  libextutils-cbuilder-perl (<< 0.280221),
@@ -223,7 +223,7 @@
  libparent-perl (<< 0.232),
  libautodie-perl (<< 2.29-2),
  libthread-queue-perl (<< 3.05),
- libfile-spec-perl (<< 3.5600),
+ libfile-spec-perl (<< 3.5601),
  libtime-local-perl (<< 1.2300),
  podlators-perl (<< 2.3.1),
  libunicode-collate-perl (<< 1.12),
@@ -269,7 +269,7 @@
  libtest-harness-perl (<< 3.35),
  libtest-simple-perl (<< 1.001014),
  liblocale-codes-perl (<< 3.34),
- libmodule-corelist-perl (<< 5.20151213),
+ libmodule-corelist-perl (<< 5.20160429),
  libio-zlib-perl (<< 1.10),
  libarchive-tar-perl (<< 2.04),
  libextutils-cbuilder-perl (<< 0.280221),
@@ -285,7 +285,7 @@
  libparent-perl (<< 0.232),
  libautodie-perl (<< 2.29-2),
  libthread-queue-perl (<< 3.05),
- libfile-spec-perl (<< 3.5600),
+ libfile-spec-perl (<< 3.5601),
  libtime-local-perl (<< 1.2300),
  podlators-perl,
  libunicode-collate-perl (<< 1.12),
